Update invoice settings
curl --request POST \
--url https://demo.onlinebillingform.com/api/v2/setting/invoice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prefix": "<string>",
"orderReturnURL": "<string>",
"startNumber": 123,
"paymentsDue": 123,
"lateFees": 123,
"lateFeesTax": 123,
"reminders": 123,
"reminders4suspend": 123,
"days2send": 123,
"total-order": [
"<string>"
],
"defaultCurrency": 123,
"currency": [
"<string>"
],
"exchangerate": 123,
"vat": 123,
"vat.name": [
"<string>"
],
"vat.number": [
"<string>"
],
"companyRegistration": "<string>",
"fixedDiscount": true,
"discountCode": true
}
'import requests
url = "https://demo.onlinebillingform.com/api/v2/setting/invoice"
payload = {
"prefix": "<string>",
"orderReturnURL": "<string>",
"startNumber": 123,
"paymentsDue": 123,
"lateFees": 123,
"lateFeesTax": 123,
"reminders": 123,
"reminders4suspend": 123,
"days2send": 123,
"total-order": ["<string>"],
"defaultCurrency": 123,
"currency": ["<string>"],
"exchangerate": 123,
"vat": 123,
"vat.name": ["<string>"],
"vat.number": ["<string>"],
"companyRegistration": "<string>",
"fixedDiscount": True,
"discountCode": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prefix: '<string>',
orderReturnURL: '<string>',
startNumber: 123,
paymentsDue: 123,
lateFees: 123,
lateFeesTax: 123,
reminders: 123,
reminders4suspend: 123,
days2send: 123,
'total-order': ['<string>'],
defaultCurrency: 123,
currency: ['<string>'],
exchangerate: 123,
vat: 123,
'vat.name': ['<string>'],
'vat.number': ['<string>'],
companyRegistration: '<string>',
fixedDiscount: true,
discountCode: true
})
};
fetch('https://demo.onlinebillingform.com/api/v2/setting/invoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"errors": "Invalid API Key"
}{
"success": false,
"errors": "Insufficient permissions for this endpoint."
}{
"success": false,
"errors": {
"id": [
"The id field is required."
]
}
}Setting
Update invoice settings
POST
/
setting
/
invoice
Update invoice settings
Authorizations
Use Authorization: Bearer <live_api_key>.
Body
application/jsonapplication/x-www-form-urlencoded
Response
OK
⌘I